<?php
/**
 * Fichier historique.php
 * 
 * Affiche les dernires oprations des comptes
 * @author Nicolas Loeuillet <nicolas.loeuillet@62actu.net>
 * @version 1.0
 * @package grisbiweb
 * @license http://www.gnu.org/licenses/gpl-3.0.txt GPL version 3.0 license
 */

include('init.php');

// Rcupration de la liste des comptes
$listeComptes = $grisbi->getComptes();

include('header.php');
?>      
        <h2><?php echo _("Historique operations") ?></h2>
        
        <div id="form-filter">
          <form name="filter" action="historique.php" method="post">
            <?php echo afficherFormulaireCriteresOperations(); ?>
          </form>
        </div>
        
        <?php $parametres = traitementDonneesOperations($parametres); ?>
        <?php $nbParams = (isset($_POST['nbOperations']) && $_POST['nbOperations'] != '' ? $_POST['nbOperations'] : 10); ?>
        
        <?php foreach($listeComptes as $compte) : ?>
        
        <?php $listeOperations = $grisbi->getOperations($compte['id'], $parametres, $nbParams); ?>
        <h3><?php echo $compte['libelle']; ?></h3>
        <table width="100%">
          <tr>
            <th width="15%"><?php echo _("Date") ?></th>
            <th width="60%" colspan="2"><?php echo _("Libelle") ?></th>
            <th width="25%"><?php echo _("Montant") ?></th>
          </tr>
          <?php $count = 0 ?>
          
          <?php foreach($listeOperations as $operation) : ?>
          
          <?php $categorie = formatCategorie($operation['cat']['categorie'],  $operation['cat']['souscategorie']); ?>
          
          <!-- Opration principale -->
          <?php if ($operation['num_ope_fille'] == 0) : ?>

          <?php $count++ ?>
          <?php $classeRow = ($count % 2) ? 'even' : 'odd' ?>
          
          <tr class="<?php echo $classeRow ?>">
            <td rowspan="2" class="date"><?php echo $operation['date'] ?></td>
            <td colspan="2"><?php echo $operation['tiers'] ?></td>
            <td class="montant" rowspan="2"><?php echo formatSolde($operation['montant']) ?></td>
          </tr>
          <tr class="<?php echo $classeRow ?> details">
            <td width="30%"><?php echo $categorie; ?></td>
            <td><?php echo $operation['remarque'] ?></td>
          </tr>

          <?php endif; ?>
          
          <!-- Oprations secondaires -->
           <?php if ($operation['num_ope_fille'] != 0) : ?>
           
          <tr class="<?php echo $classeRow ?> details">
            <td rowspan="2" class="date"></td>
            <td colspan="2"></td>
            <td class="montant" rowspan="2"><?php echo formatSolde($operation['montant']) ?></td>
          </tr>
          <tr class="<?php echo $classeRow ?> details fille">
            <td width="30%" style="padding-left: 15px;">&raquo; <?php echo $categorie; ?></td>
            <td><?php echo $operation['remarque'] ?></td>
          </tr>
          
          <?php endif; ?>
          
          <?php endforeach; // listeOperations ?>
          
        </table>
        
        <?php endforeach; // listeComptes ?>

<?php
include('footer.php');
?>